#558 Compatibility issue with ChemDoodle

v12
closed-fixed
nobody
None
5
2014-03-07
2013-11-12
Mike Casey
No

There is an issue when ChemDoodle and JSmol are instantiated on the same page. I don't know whether this is a bug in JSmol, or a bug in ChemDoodle, or some incompatibility that is not a "bug" at all, but here is the problem regardless.
ChemDoodle can write a data file in MOL format and that usually works fine. However, when JSmol (13.3.9) is running in the same page (under several Mac and Windows OSs), the MOL file generated by ChemDoodle is lacking key data; several fields contain "undefined" instead of atom numbers, etc. Since JSmol cannot (currently) import the native ChemDoodle data format, the problem with the MOL file means that molecule data cannot be transferred between the two applications. Transfer using SMILES, and other data formats, is possible in principle, but requires "Cloud Services" from iChemLabs (the creators of ChemDoodle), which users may not have.

With thanks, Mike.

Discussion

  • Bob Hanson
    Bob Hanson
    2013-11-12

    Is this ChemDoodle used within the JSmol framework, or completely independently? Can you give a URL link to a problem page?

     
  • Mike Casey
    Mike Casey
    2013-11-12

    Hi Bob,

    Here is a page with ChemDoodle web components on its own
    http://www.ucd.ie/chem/chemint/mechanism.htm, in which writing a MOL file
    works properly. In this page
    http://www.ucd.ie/chem/chemint/retrosynthesis.htm JSmol is also present and
    the MOL file generated by ChemDoodle is messed up. (Both pages are
    prototypes for a new site and are at an early stage of development).

    Thanks for looking into the issue.

    With best wishes,

    Mike

    From: Bob Hanson [mailto:hansonr@users.sf.net]
    Sent: 12 November 2013 15:05
    To: [jmol:bugs]
    Subject: [jmol:bugs] #558 Compatibility issue with ChemDoodle

    Is this ChemDoodle used within the JSmol framework, or completely
    independently? Can you give a URL link to a problem page?


    [bugs:#558] http://sourceforge.net/p/jmol/bugs/558/ Compatibility issue
    with ChemDoodle

    Status: open
    Created: Tue Nov 12, 2013 11:38 AM UTC by Mike Casey
    Last Updated: Tue Nov 12, 2013 11:38 AM UTC
    Owner: nobody

    There is an issue when ChemDoodle and JSmol are instantiated on the same
    page. I don't know whether this is a bug in JSmol, or a bug in ChemDoodle,
    or some incompatibility that is not a "bug" at all, but here is the problem
    regardless.
    ChemDoodle can write a data file in MOL format and that usually works fine.
    However, when JSmol (13.3.9) is running in the same page (under several Mac
    and Windows OSs), the MOL file generated by ChemDoodle is lacking key data;
    several fields contain "undefined" instead of atom numbers, etc. Since JSmol
    cannot (currently) import the native ChemDoodle data format, the problem
    with the MOL file means that molecule data cannot be transferred between the
    two applications. Transfer using SMILES, and other data formats, is possible
    in principle, but requires "Cloud Services" from iChemLabs (the creators of
    ChemDoodle), which users may not have.

    With thanks, Mike.


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/jmol/bugs/558/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

     
  • Bob Hanson
    Bob Hanson
    2013-11-25

    OK, I found it. My bad. Simple error in defining Number.toString(). See next release of JSmol.

     
  • Bob Hanson
    Bob Hanson
    2013-11-25

    see http://chemapps.stolaf.edu/jmol/zip/jmol-13.3.9_2013.11.25b.zip

    On Tue, Nov 12, 2013 at 5:38 AM, Mike Casey mykc@users.sf.net wrote:


    Status: open
    Created: Tue Nov 12, 2013 11:38 AM UTC by Mike Casey
    Last Updated: Tue Nov 12, 2013 11:38 AM UTC
    Owner: nobody

    There is an issue when ChemDoodle and JSmol are instantiated on the same
    page. I don't know whether this is a bug in JSmol, or a bug in ChemDoodle,
    or some incompatibility that is not a "bug" at all, but here is the problem
    regardless.
    ChemDoodle can write a data file in MOL format and that usually works
    fine. However, when JSmol (13.3.9) is running in the same page (under
    several Mac and Windows OSs), the MOL file generated by ChemDoodle is
    lacking key data; several fields contain "undefined" instead of atom
    numbers, etc. Since JSmol cannot (currently) import the native ChemDoodle
    data format, the problem with the MOL file means that molecule data cannot
    be transferred between the two applications. Transfer using SMILES, and
    other data formats, is possible in principle, but requires "Cloud Services"
    from iChemLabs (the creators of ChemDoodle), which users may not have.

    With thanks, Mike.

    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/jmol/bugs/558/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

    --
    Robert M. Hanson
    Larson-Anderson Professor of Chemistry
    St. Olaf College
    Northfield, MN
    http://www.stolaf.edu/people/hansonr

    If nature does not answer first what we want,
    it is better to take what answer we get.

    -- Josiah Willard Gibbs, Lecture XXX, Monday, February 5, 1900

     
  • Bob Hanson
    Bob Hanson
    2014-03-07

    • status: open --> closed-fixed